From: [email-masked]
Date: Tue, 19 Aug 2008 14:39:54 -0400 (EDT)

Subject: Tool bar disabled on "show diary". Bug?
--text follows this line--
I am using emacs 22.2.1 on Windows XP
and
I used an init.el file consisting only of the form

(setq diary-file "~/.emacs.d/diary")

I then performed the following actions:

M-x calendar 
(in calendar window) right mouse click
select Show diary

RESULT: diary is shown, but tool bar is disabled.
        Tool bar is not reenabled until another file
        is visited.

NOTE: If one does not use the mouse but simply the  s key to show the diary, the tool bar is not affected.

IS THIS A BUG OR IS THERE A PURPOSE BEHIND THIS BEHAVIOR?

Regards,
bostjanv

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
c:/Program Files/GNU/Emacs/emacs-22.2/etc/DEBUG for instructions.

In GNU Emacs 22.2.1 (i386-mingw-nt5.1.2600)
 of 2008-03-26 on RELEASE
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  locale-coding-system: cp1250
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  encoded-kbd-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<tool-bar> <help>

Recent messages:
("C:\\Program Files\\GNU\\Emacs\\emacs-22.2\\bin\\emacs.exe")
Loading encoded-kb...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading emacsbug...
Loading regexp-opt...done
Loading emacsbug...done